<div class='analyzesChart'>
    <app-graph-line [txt]="{ title: 'Taxe', description: analyze.total.totalTax }" [typeValue]='analyze.dsTaxVal' [typeOp]="[{ value: 'value', name: 'Taxe' }]"
        [uom]='analyze.filter.wasteUom' [intervalDate]='analyze.filter.intervalPeriod'></app-graph-line>
</div>

<div class='analyzesGrid'>
    <dx-data-grid  [columnAutoWidth]='true' [dataSource]='analyze.dsTax' [allowColumnResizing]='true'
        [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='true'
        [showRowLines]='false' height='100%' (onToolbarPreparing)='toolbarPreparing($event)'>

        <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
        <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
        <dxo-search-panel [visible]='true'></dxo-search-panel>
        <dxo-state-storing [enabled]="true" type="localStorage" storageKey="qhseTaxAnalyzes"></dxo-state-storing>

        <dxi-column caption='An' dataField='year' dataType='string'></dxi-column>
        <dxi-column caption='Luna' dataField='month' dataType='number'>
            <dxo-lookup [dataSource]='ds.getMonth' valueExpr='id' displayExpr='name'></dxo-lookup>
        </dxi-column>
        <dxi-column caption='Punct de lucru' dataField='wc_name' dataType='string'></dxi-column>
        <dxi-column caption='Plătit' dataField='value' dataType='string'></dxi-column>

    </dx-data-grid>
</div>